Description

As an amateur radio enthusiast | have need for a few pieces of software. This is a simple guide on setting up my Arch Linux
installation with the required software needed for amateur radio usage. Currently my software load out for HAM radio includes:

e Chirp: Used to program my Baofeng UV-5R+

¢ GNUradio: A powerful digital signal processing application

¢ GPredict: Used to get a fix on amateur radio satellites

¢ Ggrx: Used to interface with software defined radios

¢ Stellarium: Not really used for radio, but great for radio astronomy

e Audacity: Used for recording and manipulating audio files

e Xastir: An open-source program that provides full-featured, client-side access to APRS.
¢ fl_moxgen: Moxon antenna designer

e hamsolar: Small desktop display of the current solar indices

¢ splat: rf signal propagation, loss, and terrain analysis

¢ sunclock: Useful for predicting grayline propagation paths

¢ xnec2c: Electromagnetic antenna modeler

¢ trustedqsl: QSL application for ARRL's Logbook of the World

e cty: package contains databases of entities (countries), prefixes and callsigns that are used by amateur radio logging software.
e dxcc: a small program for determining ARRL DXCC entity of a ham radio callsign

¢ nato: Python script to convert string into NATO alphabet representation

¢ hamradio-menus: Ham radio (specific) XDG-compliant menu

Prepare the environment:

¢ Update the system:
sudo pacman —-Syu
e Add user bob to the tty and uucp groups for serial access:

gpasswd —a bob uucp
o For groups to take effect, the user must log out and and log back in.
Install yaourt to handle AUR packages

e Install yaourt

Installation

e To start, install the packages that are available from the Arch repositories:
sudo pacman —-S gnuradio ggrx audacity stellarium

¢ Install chirp from the AUR:
yaourt chirp

¢ |nstall gpredict from the AUR

yaourt gpredict

e |nstall fl_moxgen from the AUR:

yvaourt fl_moxgen

e |nstall hamsolar from the AUR:

yaourt hamsolar

® [nstall splat from the AUR:

yaourt splat

e |nstall sunclock from the AUR:

yaourt sunclock

e |nstall xnec2c from the AUR:

yaourt xnec2c

e |nstall cty from the AUR:

yaourt cty

o |nstall dxcc from the AUR:

yaourt dxcc

o |nstall nato from the AUR:

yaourt nato

e [nstall trustedgsl from the AUR:

yaourt trustedgsl

e |nstall hamradio-menus from the AUR:

yaourt hamradio-menus
Resources

e htips://wiki.archlinux.org/index.php/Amateur_radio

History

#1 - 10/04/2014 11:53 PM - Daniel Curtis

- Subject changed from Arch HAM Radio User Software Load Out to Arch HAM Radio User Setup

- Description updated

- % Done changed from 50 to 70

#2 - 12/26/2014 08:23 PM - Daniel Curtis
- Description updated
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

#3 - 12/26/2014 08:24 PM - Daniel Curtis

- Description updated

#4 - 04/11/2015 12:45 PM - Daniel Curtis
- Description updated
- Category set to Workstation

- Target version set to Arch Linux

#5 - 04/11/2015 12:48 PM - Daniel Curtis
- Subject changed from Arch HAM Radlio User Setup to Arch HAM Radio Workstation Setup

- Description updated

#6 - 04/11/2015 12:59 PM - Daniel Curtis

- Description updated

#7 - 04/11/2015 01:14 PM - Daniel Curtis

- Status changed from Resolved to Closed

#8 - 07/15/2016 07:47 PM - Daniel Curtis

- Description updated
